=== kdm/kfrontend/themes/CMakeLists.txt ===
add_subdirectory( circles )
add_subdirectory( oxygen )
add_subdirectory( oxygen-air )
add_subdirectory( ethais )

install( FILES greeter.dtd DESTINATION ${DATA_INSTALL_DIR}/doc/kdm )
