=== debian/changelog ===
kdebase-workspace (4:4.5.1-0ubuntu8) maverick; urgency=low

  * remove recommend of policykit-1-gnome from kdebase-workspace-bin, it
    doesn't seem to work, LP: #653645

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Oct 2010 13:14:12 +0100

kdebase-workspace (4:4.5.1-0ubuntu7) maverick; urgency=low

  * Add kubuntu_117_fix_dolphin_show_free_space_in_places.diff (LP: #602389)
    To fix regression, dolphin wasn't able to show free space in places for
    removable devices. 

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 03 Oct 2010 22:26:37 +0200

kdebase-workspace (4:4.5.1-0ubuntu6) maverick; urgency=low

  * Fix Lucid -> Maverick upgrade (LP: #652056)
    - kdebase-workspace-dev replaces libksignalplotter4 (<< 4:4.5.0)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 03 Oct 2010 04:00:28 +0200

kdebase-workspace (4:4.5.1-0ubuntu5) maverick; urgency=low

  * debian/kdm.upstart: Do not already fire on a framebuffer device. When a
    real DRM driver gets loaded later on, X will be started too early to catch
    it. (LP: #615549)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 28 Sep 2010 17:25:49 -0400

kdebase-workspace (4:4.5.1-0ubuntu4) maverick; urgency=low

  * Add kubuntu_33_ensure_eletric_borders_are_above_effect_windows.diff
    (http://bugs.kde.org/show_bug.cgi?id=200235)
  * Add kubuntu_35_dont_set_gl_textcoord_in_the_vertex_shader.diff
    (http://websvn.kde.org/?view=revision&revision=1178358)
  * Add kubuntu_36_exclude_all_transformed_windows_from_blur_effect.diff
    (http://bugs.kde.org/show_bug.cgi?id=243693)
  * Add kubuntu_37_check_for_fbo_size_in_blur.diff
    (http://websvn.kde.org/?view=revision&revision=1179269)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 26 Sep 2010 22:15:24 +0200

kdebase-workspace (4:4.5.1-0ubuntu3) maverick; urgency=low

  [ Alessandro Ghersi ]
  * Add kubuntu_28_disable_lanczos_filter.diff, disable Lanczos filter while
    moving windows in present windows.
  * Add kubuntu_29_fallback_to_xrender_compositing.diff
    fallback to XRender compositing in case of Software Rasterizer.
    (backport from trunk)
  * Add kubuntu_30_fix_numlock_at_start.diff (LP: #635670)
  * Update kubuntu_26_fix_oxygen_with_nvidia.diff to fix memory leak
  * Add kubuntu_31_keep_panel_when_unhidden.diff to keep the panel above when
    unhidden, keepbelow when hidden
    (http://bugs.kde.org/show_bug.cgi?id=251443)
  * Add kubuntu_32_fix_device_action_editor.diff
    fix plasma stops responding if you minimize the device action editor
    (http://bugs.kde.org/show_bug.cgi?id=251138)
  * Adjust kdm.postinst to transfer ownership of /var/lib/kdm to the kdm user.
    (Taken from Debian git) (LP: #588090)

  [ Harald Sitter ]
  * Add kubuntu_01_kubuntu_knewstuff.diff to introduce Kubuntu Wallpaper
    support in Plasma Wallpaper's get new stuff feature.
    i.e. listing content from kubuntu-art's:
    http://kubuntu-art.org/index.php?xcontentmode=7800 

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 18 Sep 2010 20:33:06 +0200

kdebase-workspace (4:4.5.1-0ubuntu2) maverick; urgency=low

  * kdebase-workspace-dev replaces libksignalplotter4 (<= 4:4.4.2-0ubuntu14)
  * Add patches from upstream:
    - Add kubuntu_20_fix_color_schemes.diff
      (http://bugs.kde.org/show_bug.cgi?id=153056)
      (http://bugs.kde.org/show_bug.cgi?id=233436)
    - Add kubuntu_21_use_sane_permission_for_kcmclockrc.diff to fix permission
      of kcmclockrc (644 instead of 004) 
    - Add kubuntu_22_dont_crash_if_xkb_option_not_found.diff
      (http://bugs.kde.org/show_bug.cgi?id=244913)
    - Add kubuntu_24_fix_crash_systemsettings_input_devices.diff
      (http://bugs.kde.org/show_bug.cgi?id=248096)
    - Add kubuntu_25_fix_timed_login.diff
      (http://bugs.kde.org/show_bug.cgi?id=229475)
    - Add kubuntu_26_fix_oxygen_with_nvidia.diff
      (http://bugs.kde.org/show_bug.cgi?id=242653)
    - Add kubuntu_27_fix_krunner_needs_press_enter_twice.diff
      (http://bugs.kde.org/show_bug.cgi?id=250582)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 07 Sep 2010 19:21:44 +0200

kdebase-workspace (4:4.5.1-0ubuntu1) maverick; urgency=low

  [ Felix Geyer ]
  * New upstream release.
  * Drop patches that are applied upstream:
    - kubuntu_115_loginscreen_kcm_no_rootonly.diff
    - kubuntu_117_no_malloc_check.diff
  * Update install and symbols files.

  [ Harald Sitter ]
  * Drop CVE-2010-0436_fix_kdm_local_exploit.diff for good, the remaining
    portion of this patch was applied at another position within the same
    file which essentially made the variable set twice.
  * Update kubuntu_34_kdm_plymouth_transition.diff to quit plymouth when
    startServerSuccess is called, which should be called whenever successful
    startup was archived. (LP: #618450)

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 01 Sep 2010 23:57:59 +0200

kdebase-workspace (4:4.5.0b-0ubuntu6) maverick; urgency=low

  [ Harald Sitter ]
  * Remove string changes from 07_kdmrc_defaults_kubuntu.diff and reactivate
    the patch because it does other important things besides changing i18ns

  [ Rodrigo Belem ]
  * Update kubuntu_108_plasma_netbook_for_small_screens.diff to make mobile
    also work if plasma-netbook is installed and make settings cascade on
    kubuntu-default-settings

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 25 Aug 2010 08:20:15 +0200

kdebase-workspace (4:4.5.0b-0ubuntu5) maverick; urgency=low

  * Fix install files in kdebase-workspace-bin now kwrited is a kded

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Aug 2010 14:14:01 +0100

kdebase-workspace (4:4.5.0b-0ubuntu4) maverick; urgency=low

  * Fix kubuntu_105_netbook_favourites.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Aug 2010 00:41:13 +0100

kdebase-workspace (4:4.5.0b-0ubuntu3) maverick; urgency=low

  [ Rodrigo Belem ]
  * Set KDEDIRS to mobile profile if startkde loaded with mobile argument
    LP: #622871

  [ Jonathan Riddell ]

