=== debian/control ===
Source: kdebase-workspace
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <gkiagiad@csd.uoc.gr>
Build-Depends: kde-sc-dev-latest (>= 4:4.5.0),
 cdbs (>= 0.4.51), cmake, debhelper (>= 7.3.16), quilt, pkg-kde-tools (>= 0.6.4),
 dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.5), kdepimlibs5-dev (>= 4:4.5),
 libakonadi-dev (>= 1.3.90), shared-desktop-ontologies (>= 0.5),
 libboost1.42-dev, python-support (>= 0.6), python-dev,
 python-sip, python-qt4, python-kde4, libpolkit-qt-1-dev,
 libbluetooth-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libck-connector-dev, libdbus-1-dev, libqtwebkit-dev,
 libnm-util-dev (>= 0.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 network-manager-dev (>= 0.7.0) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libpam0g-dev, libqimageblitz-dev (>= 1:0.0.4-2), libgps-dev (>= 2.90), 
 libraw1394-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], 
 libsensors4-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libdevstat-dev [kfreebsd-i386 kfreebsd-amd64], libpci-dev,
 libstrigiqtdbusclient-dev (>= 0.6.3), libstreamanalyzer-dev (>= 0.6.3), libusb-dev, libxkbfile-dev,
 libxcomposite-dev, libxdamage-dev, libxfixes-dev, libxklavier-dev,
 libxrandr-dev, libxrender-dev, libxi-dev,
 libsmbclient-dev, libxcb1-dev, libxine-dev, libfontconfig-dev, libglu1-mesa-dev,
 libsm-dev, libxcursor-dev, libxft-dev, libxtst-dev, libqt4-opengl-dev, libxinerama-dev,
 libxss-dev, libqedje-dev (>= 0.4.0), libdbusmenu-qt-dev (>= 0.3.0), sharutils, pciutils, libqalculate-dev,
 libjpeg62-dev
Standards-Version: 3.8.4
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kdebase-workspace/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kdebase-workspace/ubuntu

Package: kdebase-workspace
Architecture: all
Depends:  kdebase-workspace-bin (>= ${source:Version}), ${misc:Depends},
 klipper (>= ${source:Version}), ksysguard (>= ${source:Version}), 
 kde-window-manager (>= ${source:Version}), systemsettings (>= ${source:Version})
Recommends: kdm (>= ${source:Version}), kinfocenter (>= ${source:Version})
Description: base workspace components from the official KDE 4 release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package provides a basic KDE 4 desktop installation.

Package: plasma-desktop
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, plasma-widgets-workspace (= ${binary:Version})
Recommends: kdebase-workspace
Replaces: kdebase-workspace-bin (<< 4:4.4.0), plasma-widgets-workspace (<< 4:4.4.85-0ubuntu2)
Description: The KDE Plasma workspace for desktop and laptop computers
 Provides the environment for running and managing applications and integrating
 interaction of applications. It is designed as generic environment for all
 kinds of desktop applications, not only applications built on the KDE Platform.
 It integrates best with applications following the standards used by the KDE
 Platform.
 .
 This package is part of the KDE 4 base workspace module.

Package: plasma-netbook
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, plasma-widgets-workspace (= ${binary:Version})
Recommends: kdebase-workspace
Replaces: plasma-widgets-workspace (<< 4:4.4.85-0ubuntu2)
Description: The KDE Plasma workspace for netbook computers
 Provides the environment for running and managing applications and integrating
 interaction of applications. It is designed as generic environment for all
 kinds of applications in a netbook environment, not only applications built on
 the KDE Platform. It integrates best with applications following the standards
 used by the KDE Platform.
 .
 This package is part of the KDE 4 base workspace module.

Package: kdebase-workspace-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 plasma-desktop (= ${binary:Version}) | plasma-netbook (= ${binary:Version}),
 kdebase-workspace-data (= ${source:Version}), x11-utils, x11-xserver-utils,
 kdebase-workspace-kgreet-plugins (= ${binary:Version})
Recommends: polkit-kde-1
Suggests: x11-xkb-utils, plasma-scriptengines
Replaces: kdebase-bin (<< 4:4.0.0-1), kcontrol, kmenuedit, ktip, libplasma2,
 kde-window-manager (<< 4:4.1.80), kdebase-workspace-data (<< 4:4.1.82),
 kdebase-workspace-libs4+5, libkfontinst4, kinfocenter (<< 4:4.4.80), kdebase-data (<< 4:4.4.80),
 freespacenotifier, kdebase-runtime (<< 4:4.4.80)
Conflicts: kcontrol, libplasma1, libplasma2, libkfontinst4, freespacenotifier
Description: core binaries for the KDE 4 base workspace module
 This package contains miscellaneous programs needed for a basic KDE 4 desktop
 installation. Among other standard KDE 4 desktop components, the package
 provides startkde scripts, ksmserver (the KDE 4 session manager), krunner,
 the default KDE screensavers and many KDE configuration modules. This
 package is essential to start and use KDE 4 Desktop Environment.
 .
 This package is part of the KDE 4 base workspace module.

Package: kdebase-workspace-data
Architecture: all
Depends: oxygen-cursor-theme, ${misc:Depends}, ${perl:Depends}
Conflicts: ksmserver, kdebase-bin (<< 4:4.0.0-1), kdebase-data (<< 4:4.0.0-1),
 kmenuedit, ktip, libplasma1, systemsettings (<< 4:4.1.80), freespacenotifier
Replaces: ksmserver, kdebase-bin (<< 4:4.0.0-1), kdebase-data (<< 4:4.0.0-1),
 kmenuedit, ktip, kdebase-runtime-data (<< 4:4.4.80), kde-window-manager (<< 4:4.1.80),
 kdm (<< 4:4.2.0-3), systemsettings (<< 4:4.1.80), kinfocenter (<< 4:4.4.80), freespacenotifier
Description: shared data files for the KDE 4 base workspace module
 This package contains architecture-independent shared data files needed for a
 basic KDE 4 desktop installation.
 .
 This package is part of the KDE 4 base workspace module.

Package: kdebase-workspace-wallpapers
Section: kde
Architecture: all
Depends: ${misc:Depends}
Description: set of extra wallpapers from the KDE 4 base module
 Extra wallpapers from KDE 4 base.  Not installed by default to save space.
 .
 This package is part of KDE 4, and a component of the KDE 4 base module.
 See the 'kde4' and 'kdebase-workspace' packages for more information.

Package: kdebase-workspace-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${allLibraries},
 ${sameVersionDep:kdelibs5-dev:kdebase-workspace-bin},
Replaces: kdebase-workspace-data (<< 4:4.1.80), ksysguard (<< 4:4.1.80), libplasma-dev (<< 4:4.1.80),
 kde-window-manager (<< 4:4.1.80), libksignalplotter4 (<< 4:4.5.0)
Conflicts: kdebase-workspace-libs4+5
Description: development files for the KDE 4 base workspace module
 This package contains development files for building software that uses
 libraries from the KDE 4 base workspace module.

Package: kinfocenter
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: kcontrol
Replaces: kdebase-bin (<< 4:4.0.0-1), kdebase-workspace-bin (<< 4:4.4.85-0ubuntu2)
Description: system information viewer for KDE
 KInfoCenter provides you with a graphical overview of various aspects of your
 system, such as memory usage, storage capacity, and attached devices.
 .
 This package is part of the KDE 4 base applications module.

Package: plasma-dataengines-workspace
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ksysguardd (= ${binary:Version})
Replaces: kdebase-workspace-bin (<< 4:4.1.82), kdebase-workspace-data (<< 4:4.1.82),
 systemsettings (<< 4:4.1.80), libplasma2
Conflicts: libplasma2
Description: KDE 4 base workspace Plasma data engines
 This package contains standard Plasma data engines shipped in KDE 4 base
 workspace module. These engines are needed by the standard KDE 4 base
 workspace Plasma widgets, but they may be useful for any other Plasma widget
 too.
 .
 This package is part of the KDE 4 base workspace module.

Package: plasma-widgets-workspace
Architecture: any
Depends: ${shlibs:Depends}, plasma-dataengines-workspace (= ${binary:Version}), ${misc:Depends}, kdebase-runtime (>> 4.3.3~),
 akonadi-server, kdepim-runtime
Replaces: kdebase-workspace-bin (<< 4:4.1.82), kdebase-workspace-data (<< 4:4.1.82), libplasma2,
 plasma-applets-workspace, kdebase-workspace-libs4+5, libplasma-applet-system-monitor4, plasma-widget-logout
Conflicts: libplasma2, plasma-applets-workspace, kdebase-workspace-libs4+5, libplasma-applet-system-monitor4, plasma-widget-logout
Description: KDE 4 base workspace Plasma widgets and containments
 This package contains standard Plasma widgets and containments shipped in the
 KDE 4 base workspace module. They provide such basic desktop functionality as
 the panel, task manager, application laucher, clock and more. The default KDE
 4 desktop is a combination of these visual components.
 .
 This package also includes the default animator used by the main KDE 4 Plasma
 shell.
 .
 This package is part of the KDE 4 base workspace module.

Package: plasma-scriptengines
Architecture: all
Depends: plasma-scriptengine-javascript (>= 4:4.2.95),
 plasma-scriptengine-qedje (>= ${source:Version}),
 plasma-scriptengine-ruby (>= ${source:Version}),
 plasma-scriptengine-python (>= ${source:Version}),
 plasma-scriptengine-webkit (>= ${source:Version}),
 ${misc:Depends}
Recommends: plasma-scriptengine-superkaramba
Suggests: plasma-scriptengine-kimono
Description: a metapackage to install all Plasma script engines
 This metapackage depends on all Plasma script engines which kdebase-workspace
 module provides and suggests script engines from other official KDE modules.
 .
 This package is part of the KDE 4 base workspace module.

Package: plasma-scriptengine-qedje
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QEdje script engine for Plasma
 This package provides QEdje script engine for Plasma. You have to install it
 if you want to use Plasma widgets and data engines written in QEdje.
 .
 This package is part of the KDE 4 base workspace module.

Package: plasma-scriptengine-ruby
Architecture: all
Depends: libkde4-ruby, libplasma-ruby (>= 4:4.2.0), ${misc:Depends}
Replaces: kdebase-workspace-bin (<< 4:4.1.82+svn893000), kdebase-workspace-data (<< 4:4.1.82+svn893000)
Description: Ruby script engine for Plasma
 This package provides Ruby script engine for Plasma. You have to install it
 if you want to use Plasma widgets and data engines written in Ruby.
 .
 This package is part of the KDE 4 base workspace module.

Package: plasma-scriptengine-python
Architecture: all
Depends: ${python:Depends}, python-kde4 (>= 4:4.2.0), ${misc:Depends}
Description: Python script engine for Plasma
 This package provides Python script engine for Plasma. You have to install it
 if you want to use Plasma widgets and data engines written in Python.
 .
 This package is part of the KDE 4 base workspace module.

Package: plasma-scriptengine-webkit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdebase-workspace-bin (<< 4:4.1.82+svn893000), kdebase-workspace-data (<< 4:4.1.82+svn893000)
Description: Web and Mac OS X dashboard widget support for Plasma
 This package provides the WebKit script engine for Plasma which adds support
 for the webpage widgets written in HTML and JavaScript and for the Apple
 Mac OS X dashboard widgets. You have to install this package if you want to be
 able to load these widgets in your Plasma shell.
 .
 This package is part of the KDE 4 base workspace module.
