## kdebase-workspace 4.5.5

=== debian/changelog ===
kdebase-workspace (4:4.5.5-0ubuntu2.2) maverick-security; urgency=low

  * No change rebuild for security. This is needed to build kdeutils in
    the security pocket.
  * debian/control: relax build-dependency on kde-sc-dev-latest so this
    is actually buildable in the security PPA

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 08 Nov 2011 16:43:25 -0600

kdebase-workspace (4:4.5.5-0ubuntu2.1) maverick-proposed; urgency=low

  * Fix missing quotes in kubuntu_108_plasma_netbook_for_small_screens.diff
    - Fixing LP: #688518 a little harder

 -- Scott Kitterman <scott@kitterman.com>  Thu, 14 Apr 2011 11:04:50 -0400

kdebase-workspace (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final 4.5 version per micro-release exception (LP:  #757065)
  * Remove bashism in kubuntu_108_plasma_netbook_for_small_screens.diff,
    thanks to Achim (LP: #688518)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 11 Apr 2011 01:02:52 -0400

kdebase-workspace (4:4.5.5-0ubuntu1ppa1) maverick; urgency=low

  * New upstream release
  * Removed kubuntu_118_krunner_compile_fix.diff, fixed upstream

 -- Stephen Stalcup <vorian@ubuntu.com>  Thu, 06 Jan 2011 09:53:29 -0700

kdebase-workspace (4:4.5.4-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release, PPA build
  * Add kubuntu_118_krunner_compile_fix.diff from branch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 01 Dec 2010 13:45:47 +0000

kdebase-workspace (4:4.5.3-0ubuntu1~maverick1~ppa2) maverick; urgency=low

  * Do not pointlessly conflict libweather-ion5 with libweather-ion4a, this
    leads to odd dependency resolving issues.

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 24 Nov 2010 10:29:35 +0100

kdebase-workspace (4:4.5.3-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Nov 2010 17:31:49 +0000

kdebase-workspace (4:4.5.2-0ubuntu1~ppa1) maverick; urgency=low

  * PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Oct 2010 21:46:23 +0000

kdebase-workspace (4:4.5.2-0ubuntu1) UNRELEASED; urgency=low

  * New upstream release
  * Removed patches applied upstream
    - kubuntu_20_fix_color_schemes.diff
    - kubuntu_21_use_sane_permission_for_kcmclockrc.diff
    - kubuntu_22_dont_crash_if_xkb_option_not_found.diff
    - kubuntu_24_fix_crash_systemsettings_input_devices.diff
    - kubuntu_26_fix_oxygen_with_nvidia.diff
    - kubuntu_27_fix_krunner_needs_press_enter_twice.diff
    - kubuntu_28_disable_lanczos_filter.diff
    - kubuntu_30_fix_numlock_at_start.diff
    - kubuntu_31_keep_panel_when_unhidden.diff
    - kubuntu_32_fix_device_action_editor.diff
    - kubuntu_33_ensure_eletric_borders_are_above_effect_windows.diff
    - kubuntu_35_dont_set_gl_textcoord_in_the_vertex_shader.diff
    - kubuntu_36_exclude_all_transformed_windows_from_blur_effect.diff
    - kubuntu_37_check_for_fbo_size_in_blur.diff
    - kubuntu_116_kdm_timeout.diff
  * refresh kubuntu_25_fix_timed_login.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Oct 2010 19:17:08 +0000
